cURL
curl --request POST \
--url https://api.crunchz.app/api/send-message/pool \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "xxx@c.us",
"pools": [
{
"type": "text",
"data": {
"message": "Checkout this image, its hilarious!"
}
},
{
"type": "image",
"data": {
"caption": "Do you think this is funny?",
"file": {
"mimeType": "image/png",
"filename": "filename.png",
"url": "https://avatars.githubusercontent.com/u/29356430?v=4"
}
}
},
{
"type": "text",
"data": {
"message": "Let me know your thoughts!"
}
}
]
}
'import requests
url = "https://api.crunchz.app/api/send-message/pool"
payload = {
"contact_id": "xxx@c.us",
"pools": [
{
"type": "text",
"data": { "message": "Checkout this image, its hilarious!" }
},
{
"type": "image",
"data": {
"caption": "Do you think this is funny?",
"file": {
"mimeType": "image/png",
"filename": "filename.png",
"url": "https://avatars.githubusercontent.com/u/29356430?v=4"
}
}
},
{
"type": "text",
"data": { "message": "Let me know your thoughts!" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'xxx@c.us',
pools: [
{type: 'text', data: {message: 'Checkout this image, its hilarious!'}},
{
type: 'image',
data: {
caption: 'Do you think this is funny?',
file: {
mimeType: 'image/png',
filename: 'filename.png',
url: 'https://avatars.githubusercontent.com/u/29356430?v=4'
}
}
},
{type: 'text', data: {message: 'Let me know your thoughts!'}}
]
})
};
fetch('https://api.crunchz.app/api/send-message/pool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Failed to send pool message",
"pools": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Messages
Send Pool
Send multiple messages in a single request using a Global token for efficient batch messaging operations.
POST
/
send-message
/
pool
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Contact ID.
Example:
"xxx@c.us"
Pools.
Show child attributes
Show child attributes
Example:
[ { "type": "text", "data": { "message": "Checkout this image, its hilarious!" } }, { "type": "image", "data": { "caption": "Do you think this is funny?", "file": { "mimeType": "image/png", "filename": "filename.png", "url": "https://avatars.githubusercontent.com/u/29356430?v=4" } } }, { "type": "text", "data": { "message": "Let me know your thoughts!" } } ]
Was this page helpful?
⌘I